# Uses of Class
org.eclipse.birt.report.model.api.CellHandle

Packages that use CellHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.table

## Uses of CellHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CellHandle
Modifier and Type
Method
Description
`CellHandle`
GridHandle.`getCell(int row, int column)`
Gets the cell at the position where the given row and column intersect.
`protected CellHandle`
TableHandle.`getCell(int row, int column)`
Gets the cell at the position where the given row and column intersect regardless of slot information.
`CellHandle`
TableHandle.`getCell(int slotId, int groupLevel, int row, int column)`
Gets the cell at the position where the given row and column intersect within the given slot.
Methods in org.eclipse.birt.report.model.api with parameters of type CellHandle
Modifier and Type
Method
Description
`protected int`
GridColumnBandAdapter.`getCellPosition(CellHandle cell)`
`protected int`
TableColumnBandAdapter.`getCellPosition(CellHandle cell)`
Returns the column number with the given cell.

## Uses of CellHandle in org.eclipse.birt.report.model.api.elements.table

Methods in org.eclipse.birt.report.model.api.elements.table that return CellHandle
Modifier and Type
Method
Description
`CellHandle`
LayoutCell.`getCell()`
Return the corresponding handle of the cell element.
`CellHandle`
LayoutTable.`getCell(int rowPosn, int colPosn)`
Returns the cell at the given position.
`CellHandle`
LayoutTable.`getCell(int slotId, int rowId, int colId)`
Return a cell element with the given position.
`CellHandle`
LayoutTable.`getCell(int groupLevel, int slotId, int rowId, int colId)`
Return a cell element with the given poistion.
`CellHandle`
LayoutTableModel.`getCell(int rowPosn, int colPosn)`
Returns the cell at the given position.
`CellHandle`
LayoutTableModel.`getCell(int slotId, int rowId, int colId)`
Return a cell element with the given poistion.
`CellHandle`
LayoutTableModel.`getCell(int groupLevel, int slotId, int rowId, int colId)`
Return a cell element with the given poistion.
`protected CellHandle`
LayoutCell.`getCellRegardlessStartPosition()`
Return the corresponding handle of the cell element regardless of the position where the cell starts.
Methods in org.eclipse.birt.report.model.api.elements.table with parameters of type CellHandle
Modifier and Type
Method
Description
`static int`
LayoutUtil.`getEffectiveColumnSpan(CellHandle cell)`
Returns the effective column span of the given cell.
`static int`
LayoutUtil.`getEffectiveRowSpan(CellHandle cell)`
Returns the effective row span of the given cell.
`protected LayoutCell`
LayoutRow.`getLayoutCell(CellHandle cell)`
Returns the layout cell with the given cell element.
`protected LayoutCell`
LayoutSlot.`getLayoutCell(int rowId, CellHandle cell)`
Return the layout cell with the given row and column index.